{
  
   Project  : ODGE
   Unit Name: uodge_fullsize

 /--------------------------------------------------------------\
 | Purpose    : DISPLAY AN IMAGE IN ITS ORIGINAL SIZE           |
 | Author     : Olivier DAHAN odahan@cybercable.fr              |
 |              http://perso.cybercable.fr/stargate             |
 +--------------------------------------------------------------+
 | History    : V 1.4                                           |
 | Created on : 16/04/98 02:10:15                               |
 | Modified on: jun-22-99                                       |
 \--------------------------------------------------------------/
}

unit uodge_fullsize;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, Placemnt, Animate, GIFCtrl;

type
  TFODGEFullsize = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    CheckBox1: TCheckBox;
    Label1: TLabel;
    ScrollBox1: TScrollBox;
    Image1: TImage;
    FormStorage1: TFormStorage;
    PVRxGIFAnimator1: TRxGIFAnimator;
    procedure CheckBox1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FODGEFullsize: TFODGEFullsize;

implementation

{$R *.DFM}

procedure TFODGEFullsize.CheckBox1Click(Sender: TObject);
begin
if image1.visible
 then Image1.Stretch := Checkbox1.Checked
 else pvrxgifanimator1.Stretch := Checkbox1.Checked;
if checkbox1.checked then
 begin
  scrollbox1.HorzScrollBar.Range := 0;
  scrollbox1.VertScrollBar.Range := 0;
 end else
 begin
  scrollbox1.HorzScrollBar.Range := image1.picture.Width;
  scrollbox1.VertScrollBar.Range := image1.picture.Height;
  if pvrxgifanimator1.visible then
   begin
    scrollbox1.HorzScrollBar.Range := pvrxgifanimator1.Image.Width;
    scrollbox1.VertScrollBar.Range := pvrxgifanimator1.Image.Height;
   end;
 end;
end;

procedure TFODGEFullsize.FormShow(Sender: TObject);
begin
scrollbox1.HorzScrollBar.Range := image1.picture.Width;
scrollbox1.VertScrollBar.Range := image1.picture.Height;
end;

end.

